<?php

 date_default_timezone_set('America/Costa_Rica');
 require ('nt_consultasbd.php');	//Realizas las consultas a BD para la optencion de datos

  $TotalMedioPagoTarjetas  = 0;  
  $TotalMedioPagoDepositos = 0;  
  $TotalMedioPagoSimpes    = 0; 
  $TotalMedioPagoDolares   = 0;
  $TotalMedioPagos         = 0;
  



$TotalMedioPagoEfectivo =  $facturas_notas['totcompro']  ;


/////////////////////////////////////////////////////////////////   medio de pago efectivo //////////////////////////////////////////////////////////
$detallepagos = '';
	
if ($TotalMedioPagoEfectivo > 0) {                ///////////////////////////////// METODO DE PAGO EFECTIVO ////////////////////////////////////////////////////

		$data2['TipoMedioPago']  = "01";        //  se agrega en la version 4.4  codigo
		$data2['TotalMedioPago'] = round($TotalMedioPagoEfectivo,5);

		$xml_data_linea = new SimpleXMLElement('<MedioPago></MedioPago>');
		$linea_to_xml = new Firmadocr();
		$linea_to_xml->array_to_xml( $data2,$xml_data_linea); //Arreglo -> Instacia para futuro XML
		
		$dom = new DOMDocument("1.0");
		$dom->preserveWhiteSpace = false;
		$dom->formatOutput = true;
		$dom->loadXML($xml_data_linea->asXML());
	
		$detallepagos_pre  = $dom->saveXML(); //objeto a string
		$detallepagos_final = preg_replace("/<\\?xml.*\\?>/",'', $detallepagos_pre);
		$detallepagos .= $detallepagos_final;			

		} ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		
	
	if ($TotalMedioPagoTarjetas > 0) {                ///////////////////////////////// METODO DE PAGO TARJETAS ////////////////////////////////////////////////////
		
		$data2['TipoMedioPago']  = "02";        //  se agrega en la version 4.4  codigo
		$data2['TotalMedioPago'] =  round($TotalMedioPagoTarjetas,5);
		

		$xml_data_linea = new SimpleXMLElement('<MedioPago></MedioPago>');
		$linea_to_xml = new Firmadocr();
		$linea_to_xml->array_to_xml( $data2,$xml_data_linea); //Arreglo -> Instacia para futuro XML
		
		$dom = new DOMDocument("1.0");
		$dom->preserveWhiteSpace = false;
		$dom->formatOutput = true;
		$dom->loadXML($xml_data_linea->asXML());
	
		$detallepagos_pre  = $dom->saveXML(); //objeto a string
		$detallepagos_final = preg_replace("/<\\?xml.*\\?>/",'', $detallepagos_pre);
		$detallepagos .= $detallepagos_final;		
		
		} ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////		
		
			if ($TotalMedioPagoDepositos > 0) {                ///////////////////////////////// METODO DE PAGO DEPOSITOS ////////////////////////////////////////////////////
		
		$data2['TipoMedioPago']  = "04";        //  se agrega en la version 4.4  codigo
		$data2['TotalMedioPago'] =  round($TotalMedioPagoDepositos,5);
		

		$xml_data_linea = new SimpleXMLElement('<MedioPago></MedioPago>');
		$linea_to_xml = new Firmadocr();
		$linea_to_xml->array_to_xml( $data2,$xml_data_linea); //Arreglo -> Instacia para futuro XML
		
		$dom = new DOMDocument("1.0");
		$dom->preserveWhiteSpace = false;
		$dom->formatOutput = true;
		$dom->loadXML($xml_data_linea->asXML());
	
		$detallepagos_pre  = $dom->saveXML(); //objeto a string
		$detallepagos_final = preg_replace("/<\\?xml.*\\?>/",'', $detallepagos_pre);
		$detallepagos .= $detallepagos_final;		
		
		} ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////		
		
					if ($TotalMedioPagoSimpes > 0) {                ///////////////////////////////// METODO DE PAGO SIMPES ////////////////////////////////////////////////////
		
		$data2['TipoMedioPago']  = "06";        //  se agrega en la version 4.4  codigo
		$data2['TotalMedioPago'] =  round($TotalMedioPagoSimpes,5);
		

		$xml_data_linea = new SimpleXMLElement('<MedioPago></MedioPago>');
		$linea_to_xml = new Firmadocr();
		$linea_to_xml->array_to_xml( $data2,$xml_data_linea); //Arreglo -> Instacia para futuro XML
		
		$dom = new DOMDocument("1.0");
		$dom->preserveWhiteSpace = false;
		$dom->formatOutput = true;
		$dom->loadXML($xml_data_linea->asXML());
	
		$detallepagos_pre  = $dom->saveXML(); //objeto a string
		$detallepagos_final = preg_replace("/<\\?xml.*\\?>/",'', $detallepagos_pre);
		$detallepagos .= $detallepagos_final;		
		
		} ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////		

  
  
